Bug 820582 - nfs:mem-pool: mem_put called on freed ptr
nfs:mem-pool: mem_put called on freed ptr
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Vivek Agarwal
Saurabh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-05-10 08:21 EDT by Saurabh
Modified: 2016-02-17 19:03 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:23:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-05-10 08:21:25 EDT
Description of problem:
[2012-05-10 11:51:27.142491] I [client-handshake.c:462:client_set_lk_version_cbk] 0-quota_dist_rep-client-5: Server lk version = 1
[2012-05-10 11:51:27.142887] I [afr-common.c:1971:afr_set_root_inode_on_first_lookup] 0-quota_dist_rep-replicate-0: added root inode
[2012-05-10 11:51:27.143613] I [afr-common.c:1971:afr_set_root_inode_on_first_lookup] 0-quota_dist_rep-replicate-1: added root inode
[2012-05-10 11:51:27.143660] I [afr-common.c:1971:afr_set_root_inode_on_first_lookup] 0-quota_dist_rep-replicate-2: added root inode
[2012-05-10 11:58:31.304381] C [mem-pool.c:541:mem_put] (-->/usr/lib64/libgfrpc.so.0(rpcsvc_handle_rpc_call+0x143) [0x30008090b3] (-->/usr/lib64/libgfrpc.so.0(rpcsvc_error_reply+0x50) [0x3000808ba0] (-->/usr/lib64/libgfrpc.so.0(rpcsvc_submit_generic+0x267) [0x30008087d7]))) 0-mem-pool: mem_put called on freed ptr 0x7f2ec61a6910 of mem pool 0x25333a0
pending frames:

patchset: git://git.gluster.com/glusterfs.git
signal received: 6
(END) 



and the system is not able to dump the core and mounts hang, seems some deadlock  
happening

Version-Release number of selected component (if applicable):
3.3.0qa40

How reproducible:
once

Steps to Reproduce:
1. mount the subdir of a volume
2. create some files
3. umount it
4. now try to mount the root of the volume.
  
Actual results:
the volume mount should hangs, with above mentioned results from the nfs.log


Expected results:

it should mount

Additional info:
Comment 1 Anand Avati 2012-05-15 19:09:52 EDT
CHANGE: http://review.gluster.com/3333 (nfs/mount: avoid duplicate reply on ENOENT) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Anand Avati 2012-05-19 06:28:31 EDT
CHANGE: http://review.gluster.com/3355 (nfs/mount: avoid duplicate reply on ENOENT) merged in release-3.3 by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.